ClientFaultConverter (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class ClientFaultConverter

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.AbstractInDatabindingInterceptor
    - - org.apache.cxf.interceptor.ClientFaultConverter

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class ClientFaultConverter
      extends AbstractInDatabindingInterceptor

  Takes a Fault and converts it to a local exception type if possible.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Pattern` | `CAUSE_SUFFIX_SPLITTER` |
    `static String` | `DISABLE_FAULT_MAPPING` |

    - ### Fields inherited from class org.apache.cxf.interceptor.AbstractInDatabindingInterceptor

      `NO_VALIDATE_PARTS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientFaultConverter()` |
    `ClientFaultConverter​(String phase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleMessage​(Message msg)` | Intercepts a message.
    `protected void` | `processFaultDetail​(Fault fault, Message msg)` |

    - ### Methods inherited from class org.apache.cxf.interceptor.AbstractInDatabindingInterceptor

      `findMessagePart, getBindingOperationInfo, getDataReader, getDataReader, getMessageInfo, getMessageInfo, getNodeDataReader, getXMLStreamReader, setDataReaderValidation, setMessage, setOperationSchemaValidation, shouldValidate, supportsDataReader`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISABLE_FAULT_MAPPING

          public static final String DISABLE_FAULT_MAPPING

      See Also:
        Constant Field Values

    - #### CAUSE_SUFFIX_SPLITTER

          public static final Pattern CAUSE_SUFFIX_SPLITTER

  - ### Constructor Detail

    - #### ClientFaultConverter

          public ClientFaultConverter()

    - #### ClientFaultConverter

          public ClientFaultConverter​(String phase)

  - ### Method Detail

    - #### handleMessage

          public void handleMessage​(Message msg)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### processFaultDetail

          protected void processFaultDetail​(Fault fault,
                                            Message msg)